moExponentialCoolingSchedule(3)

NAME
moExponentialCoolingSchedule - One of the possible moCoolingSchedule.

SYNOPSIS

#include <moExponentialCoolingSchedule.h>

Inherits moCoolingSchedule.

  Public Member Functions
moExponentialCoolingSchedule (double __threshold, double __ratio)
Simple constructor.
bool operator() (double &__temp)
Function which proceeds to the cooling.

  Private Attributes
double threshold
The temperature threhold.
double ratio
The decreasing factor of the temperature.

Detailed Description

One of the possible moCoolingSchedule. An other very simple cooling schedule, the temperature decrease according to a ratio while the temperature is greater than a given threshold.

Definition at line 22 of file moExponentialCoolingSchedule.h.

Constructor & Destructor Documentation

  moExponentialCoolingSchedule::moExponentialCoolingSchedule (double __threshold, double __ratio) [inline]

Simple constructor.

Parameters:
    __threshold the threshold.
    __ratio the ratio used to descrease the temperature.

Definition at line 31 of file moExponentialCoolingSchedule.h.

Member Function Documentation

  bool moExponentialCoolingSchedule::operator() (double & __temp) [inline]

Function which proceeds to the cooling.

It decreases the temperature and indicates if it is greater than the threshold.

Parameters:
    __temp the current temperature.

Returns:
    if the new temperature (current temperature * ratio) is greater than the threshold.

Definition at line 41 of file moExponentialCoolingSchedule.h.

References ratio, and threshold.

Author

Generated automatically by Doxygen for ParadisEO-MOMovingObjects from the source code.